Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: add ON_CLOSED_BINS example for OI

...

You need to install several packages in order to build illumos.

  • Before downloading the required packages you will need to update the packages on the system. Build dependencies will occasionally be updated between media releases of OpenIndiana and OmniOS.

Code Block
titlePackage update
languagebash
 sudo pkg update
  • On OpenIndiana, the build-essential package contains most of what's required.  In addition, a Python 3 runtime and GCC version 7 are required for a complete build with shadow checks.

...